# debuginfo not supported for static libraries, RB #209316
%global debug_package %{nil}

Name:           qm-dsp
Version:        1.7
Release:        2%{?dist}
Summary:        Library for DSP and Music Informatics purposes

# some source files with different original licenses, see README.txt
License:        GPLv2+
URL:            http://isophonics.net/QMVampPlugins
Source0:        https://code.soundsoftware.ac.uk/attachments/download/103/%{name}-%{version}.tar.gz
# C++ build fix
# https://code.soundsoftware.ac.uk/projects/qm-dsp/repository/revisions/915365c58758
Patch0:         qm-dsp-cxx-build.patch
# build flags
# (not intended for upstream)
Patch1:         qm-dsp-flags.patch
# install header files
# http://vamp-plugins.org/forum/index.php/topic,270.0.html
Patch2:         qm-dsp-install.patch

BuildRequires:  atlas-devel

%description
%{name} is a C++ library of functions for DSP and Music Informatics purposes
developed at Queen Mary, University of London. It is used by the QM Vamp
Plugins (q.v.) among other things.


%package devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}

%description devel
%{name} is a C++ library of functions for DSP and Music Informatics purposes
developed at Queen Mary, University of London. It is used by the QM Vamp
Plugins (q.v.) among other things.

This package contains header files and static library for development with
qm-dsp.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
ln -s build/linux/Makefile.linux Makefile


%build
# extra cflags used in upstream
%ifarch %{ix86}
EXTRA_CFLAGS="-msse -mfpmath=sse"
%endif
%ifarch x86_64
EXTRA_CFLAGS="-msse -msse2 -mfpmath=sse"
%endif

CFLAGS="$EXTRA_CFLAGS %{?optflags}" \
LDFLAGS="%{?__global_ldflags}" \
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir}


%files devel
%doc COPYING README.txt
%{_libdir}/libqm-dsp.a
%{_includedir}/%{name}


%changelog
* Wed Nov 05 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-2
- Update patches and add comments

* Sun Aug 3 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-1
- Initial package
